%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:		rh-cds
Version:	0.17
Release:	1%{?dist}
Summary:	Functionality to act as a Content Delivery Server in any supported cloud

Group:		Applications/Internet
License:	GPLv2
URL:		http://redhat.com
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:	python-setuptools
Requires:       httpd >= 2.2.3-40
Requires:	    python >= 2.4
Requires:       mod_python >= 3.3.1-12
Requires:       m2crypto

%description
Tools necessary to function as a Content Delivery Server.

%prep
%setup -q -n rh-cds-%{version}


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{python_sitelib}/*egg-info/requires.txt


%clean
rm -rf $RPM_BUILD_ROOT


%post
mkdir /var/log/cds
chown apache:apache /var/log/cds


%files
%defattr(-,root,root,-)
%{python_sitelib}/cds/*
%{python_sitelib}/cds-*.egg-info

%changelog
* Wed Aug 04 2010 Jay Dobies <jason.dobies@redhat.com> 0.17-1
- 621367 - Changed the CDS to use a rotating log handler and reduced the
  chattiness. (jason.dobies@redhat.com)

* Tue Jul 27 2010 Jay Dobies <jason.dobies@redhat.com> 0.16-1
- Made entitlement download URL variable substitution act as a wildcard for any
  variable name and multiple variables. (jason.dobies@redhat.com)

* Mon Jul 26 2010 Jay Dobies <jason.dobies@redhat.com> 0.15-1
- Manually increment this to try to get around tito issues.
  (jason.dobies@redhat.com)
- Added $basearch substitution to allow testing to continue. Probably need a
  more permanent solution. (jason.dobies@redhat.com)
- Automatic commit of package [rh-cds] release [0.13-1]. (mmccune@gmail.com)
- Automatic commit of package [rh-cds] release [0.12-1]. (mmccune@gmail.com)
- more ISO building support and adding specific rev Requires:
  (mmccune@gmail.com)

* Thu Jul 22 2010 Mike McCune <mmccune@gmail.com> 0.13-1
- adding changelog 

